<?php


namespace App\Extended\Redis;


use Hyperf\Context\ApplicationContext;
use SuperRhino\Utils\Redis\Redis;
use SuperRhino\Utils\Redis\RedisFactoryInterface;

class RedisFactory implements RedisFactoryInterface {

    public function getRedis(string $poolName = Redis::POOL_NAME_DEFAULT) {
        $container = ApplicationContext::getContainer();
        switch ($poolName) {
            case Redis::POOL_NAME_CACHE:
                return $container->get(\Hyperf\Redis\RedisFactory::class)->get('cache');
            case Redis::POOL_NAME_STORAGE:
            case Redis::POOL_NAME_QUEUE:
                return $container->get(\Hyperf\Redis\RedisFactory::class)->get('queue');
            default:
                return $container->get(\Hyperf\Redis\RedisFactory::class)->get('default');
        }
    }

}