#!/usr/bin/env php
<?php

ini_set('display_errors', 'on');
ini_set('display_startup_errors', 'on');
ini_set('memory_limit', '1G');

error_reporting(E_ALL);
date_default_timezone_set('Asia/Shanghai');

!defined('BASE_PATH') && define('BASE_PATH', dirname(__DIR__, 1));
!defined('SWOOLE_HOOK_FLAGS') && define('SWOOLE_HOOK_FLAGS', SWOOLE_HOOK_ALL);

require BASE_PATH . '/vendor/autoload.php';


// Self-called anonymous function that creates its own scope and keep the global namespace clean.
(function () {
    Hyperf\Di\ClassLoader::init();
    /** @var Psr\Container\ContainerInterface $container */
    $container = require BASE_PATH . '/config/container.php';
    define('DEBUG', Hyperf\Support\env('APP_DEBUG'));                      //调试模式(跟环境无关)
    define('APP_SCRIPT', Hyperf\Support\env('APP_SCRIPT') == 1);           //脚本模式

    define('ENV_LOCAL', Hyperf\Support\env('APP_ENV') == 'local');         //本地环境
    define('DEV', Hyperf\Support\env('APP_ENV') == 'dev' || ENV_LOCAL);    //测试环境
    define('PREVIEW', Hyperf\Support\env('APP_ENV') == 'preview');         //预发布环境
    define('PRODUCTION', Hyperf\Support\env('APP_ENV') == 'production');   //生产环境
    if (DEBUG) {
        assert_options(ASSERT_ACTIVE, 1);
        assert_options(ASSERT_EXCEPTION, 1);
    } else {
        assert_options(ASSERT_ACTIVE, 0);
    }
    //Custom
    \SuperRhino\Utils\Facade::register($container);
    $application = $container->get(Hyperf\Contract\ApplicationInterface::class);
    $application->run();
})();
